=== debian/changelog ===
paintitblack-lxqt-gfxboot (2015.12.29) unstable; urgency=medium

  * new grey/black background  

 -- Alf Gaida <agaida@siduction.org>  Wed, 30 Dec 2015 01:26:23 +0100

paintitblack-lxqt-gfxboot (2015.08.01) unstable; urgency=medium

  * new next gfxboot package, completly reworked 

 -- Alf Gaida <agaida@siduction.org>  Sat, 08 Aug 2015 00:11:56 +0200

paintitblack-lxqt-gfxboot (2015.1.0) unstable; urgency=low

  * initial release

 -- Alf Gaida <agaida@siduction.org>  Fri, 07 Aug 2015 18:24:20 +0200
